Package com.xebialabs.deployit.plugin.api.udm

# Class AbstractDictionary

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.AbstractDictionary

All Implemented Interfaces:
  `ConfigurationItem`, `IDictionary`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `Dictionary`

public abstract class AbstractDictionary extends BaseConfigurationItem implements IDictionary

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.xebialabs.deployit.plugin.api.udm.IDictionary

  `IDictionary.DictionaryContext`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDictionary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDictionary`
  `applyTo(IDictionary.DictionaryContext context)`
  Return a view on this dictionary as applicable to the given context.
  `Set<Application>`
  `getRestrictToApplications()`
  `Set<Container>`
  `getRestrictToContainers()`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.IDictionary

  `getEntries, getValue`

- ## Constructor Details

  - ### AbstractDictionary

    public AbstractDictionary()

- ## Method Details

  - ### getRestrictToContainers

    public Set<Container> getRestrictToContainers()
    Returns:
      The set of `Container`s only for which the dictionary is applied.

  - ### getRestrictToApplications

    public Set<Application> getRestrictToApplications()
    Returns:
      The set of `Application`s only for which the dictionary is applied.

  - ### applyTo

    public IDictionary applyTo(IDictionary.DictionaryContext context)
    Description copied from interface: `IDictionary`
    Return a view on this dictionary as applicable to the given context.
    Specified by:
      `applyTo` in interface `IDictionary`
    Parameters:
      `context` - The context to generate the view for.
    Returns:
      a dictionary tailored for the given context. Can be `this` if no adjustments are required or `null` if the dictionary is not applicable to the given context.